#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  Libao-1.2.0

- Next

  libass-0.17.4

- Up
- Home

# libaom-3.13.3

## Introduction to libaom

The libaom package contains a reference version of the Alliance for Open Media video codec. This codec is a patent free alternative to H.265, and is starting to be used throughout the internet.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://storage.googleapis.com/aom-releases/libaom-3.13.3.tar.gz

- Download MD5 sum: fa650782cc0d304ab9ed49808c6373b4

- Download size: 6.0 MB

- Estimated disk space required: 132 MB

- Estimated build time: 0.8 SBU (with parallelism=4)

### libaom Dependencies

#### Recommended

yasm-1.3.0 (or NASM-3.01)

#### Optional

Doxygen-1.17.0

## Installation of libaom

Prevent installing static versions of the libraries:

    sed -i 's/aom aom_static/aom/' build/cmake/aom_install.cmake

Install libaom by running the following commands:

    mkdir aom-build &&
    cd    aom-build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_SHARED_LIBS=1       \
          -D ENABLE_DOCS=no            \
          -G Ninja .. &&
    ninja

This package does not come with a working test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D BUILD_SHARED_LIBS=1`: This switch builds shared versions of the libraries.

`-D ENABLE_DOCS=no`: This switch disables building the documentation because it fails due to an incompatibility with the latest version of Doxygen-1.17.0.

`-D ENABLE_NASM=yes`: Use this switch if you have both yasm-1.3.0 and NASM-3.01 installed and wish to use nasm instead of yasm.

## Contents

Installed Programs: aomdec and aomenc
Installed Libraries: libaom.so
Installed Directories: /usr/include/aom

### Short Descriptions

aomdec | provides various decoders supported by this package, including one for AV1
aomenc | provides various encoders supported by this package, including one for AV1
`libaom.so` | contains functions that provide a reference implementation of the AV1 codec

- Prev

  Libao-1.2.0

- Next

  libass-0.17.4

- Up
- Home